INTERFACE
SUBROUTINE MWAVE_GET(PMWAVE_OBS_BUF,KMWAVE_BUF,PMWAVE_ZEN_BUF,PMWAVE_AZI_BUF)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDB
USE YOMGEM ,ONLY : NGPTOT
USE PARMWAVE , ONLY : NMAX_CHAN, RMISSING_ANGLE
USE YOMMWAVE , ONLY : N_SATSENS, MWAVE_ID, MWAVE_ACTIVE, MWAVE_PASSIVE, MWAVE_NO_OBS
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_OBS_BUF (NGPTOT,NMAX_CHAN,N_SATSENS)
INTEGER(KIND=JPIM) ,INTENT(INOUT) :: KMWAVE_BUF (NGPTOT,NMAX_CHAN,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_ZEN_BUF (NGPTOT,N_SATSENS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PMWAVE_AZI_BUF (NGPTOT,N_SATSENS)
END SUBROUTINE MWAVE_GET
END INTERFACE
